<?php
include_once("siteBlogConfig.php");

$currentKey = $blogEnv->getCurrentBlogItemArgument();
$blogData = new BlogData($blogEnv, $currentKey);
$tocDisplay = $blogData->blogCreateToc();
$currPage = $blogData->getCurrentPage();
$pageTitle = $blogData->getPageTitle($currPage);
$pageDate = $blogData->getPageDateDisplay($currPage);

$prevPage = $blogData->getPage(BlogData::PREV_PAGE);
$PrevPageUrl = $prevPage->getBlogViewerUrl();
$nextPage = $blogData->getPage(BlogData::NEXT_PAGE);
$nextPageUrl = $nextPage->getBlogViewerUrl();

?>


<!doctype html>
<html >
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>TBSW Blog Example</title>
        <?=$blogEnv->getHTMLPageHeadViewer(); ?>
    </head>

    <body>
        <header>
        </header>

        <section>
            <div id="contentArea">
                <div id="content">
                    <article id=<?=BlogEnv::BlogHTMLId_Article?>>
                        <div id=<?=BlogEnv::BlogHTMLId_Navigation?>>
                            <div>
                                <button id=<?=BlogEnv::BlogHTMLId_TocButton?> onclick="blogTocToggle()">TOC</button>
                            </div>

                            <div>
                                <?PHP if ($prevPage->isValid()){ ?>
                                     <button id=<?=BlogEnv::BlogHTMLId_NavButton?>
                                        onclick="window.location.href = '<?=$PrevPageUrl?>';">
                                        Older</button>
                                <?php } ?>
                                <?PHP if ($nextPage->isValid()){ ?>
                                    <button id=<?=BlogEnv::BlogHTMLId_NavButton?>
                                            onclick="window.location.href = '<?=$nextPageUrl?>';">
                                        Newer</button>
                                <?php } ?>
                            </div>
                        </div>

                        <div id="<?=BlogEnv::BlogHTMLId_TocSection?>">
                            <?=$tocDisplay?>
                        </div>

                        <div id=<?=BlogEnv::BlogHTMLId_DocumentSection?>>
                            <div id=<?=BlogEnv::BlogHTMLId_Header?>>
                                <div id=<?=BlogEnv::BlogHTMLId_HeaderTitle?>>
                                    <h5><?= $pageTitle?></h5>
                                </div>
                                <div id=<?=BlogEnv::BlogHTMLId_HeaderDate?>>
                                    <i><?=$pageDate?></i>
                                </div>
                            </div>

                            <div id=<?=BlogEnv::BlogHTMLId_blogViewerArea?>>
                                <?=$blogData->getBlogViewerDocumentSectionHtml($currPage)?>
                            </div>
                        </div>
                    </article>
                </div>
            </div>
        </section>
        <footer>
        </footer>
    </body>
</html>
